#include "__SMTP_EHLO.h"
#include "SMTPServer.h"

namespace mail {
   
   int __SMTP_EHLO::processCommand(coreutils::PString request, SMTPSession &session, SMTPServer &server, std::stringstream &data) {
      
      session.clientDomainName = request[1].str();
      
      data << "250-" << server.hostName << CRLF;
      //  cout << "250-STARTTLS" << CRLF;
      //  cout << "250-PIPELINING" << CRLF;
      //  cout << "250-8BITMIME" << CRLF;
      data << "250-AUTH LOGIN" << CRLF;
      data << "250 HELP" << CRLF;
      session.state = READY;
      return 1;
   }
   
}
